Bug 816289 (CVE-2012-2136) - CVE-2012-2136 kernel: net: insufficient data_len validation in sock_alloc_send_pskb()
Summary: CVE-2012-2136 kernel: net: insufficient data_len validation in sock_alloc_sen...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-2136
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 814504 816106 816290 816292 827064
Blocks: 816298
TreeView+ depends on / blocked
 
Reported: 2012-04-25 17:56 UTC by Petr Matousek
Modified: 2019-09-29 12:52 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-24 13:23:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0690 normal SHIPPED_LIVE Important: kernel security and bug fix update 2012-05-29 22:18:16 UTC
Red Hat Product Errata RHSA-2012:0743 normal SHIPPED_LIVE Important: kernel security and bug fix update 2012-06-18 17:32:36 UTC
Red Hat Product Errata RHSA-2012:1087 normal SHIPPED_LIVE Important: kernel security and bug fix update 2012-07-17 22:04:52 UTC

Description Petr Matousek 2012-04-25 17:56:37 UTC
Data_len paremeter of sock_alloc_send_pskb() function is not validated before setting frags of allocated skb, which can lead to heap overflow.

On Red Hat Enterprise Linux 5 a user having access to TUN/TAP virtual device could use this flaw to crash the system or to potentially escalate their privileges. The resulting CVSS score is 6.2.

On Red Hat Enterprise Linux 6 a privileged guest user could use this flaw to crash the host or to potentially escalate their privileges on the host. The resulting CVSS score is 7.4.

Comment 4 errata-xmlrpc 2012-05-29 18:21:49 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0690 https://rhn.redhat.com/errata/RHSA-2012-0690.html

Comment 6 errata-xmlrpc 2012-06-18 13:34:46 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0743 https://rhn.redhat.com/errata/RHSA-2012-0743.html

Comment 7 errata-xmlrpc 2012-07-17 18:05:17 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5.6 EUS - Server Only

Via RHSA-2012:1087 https://rhn.redhat.com/errata/RHSA-2012-1087.html


Note You need to log in before you can comment on or make changes to this bug.